Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.expression.jexl
Class JexlExpression

    java.lang.Object
      org.apache.commons.jelly.expression.ExpressionSupport
          org.apache.commons.jelly.expression.jexl.JexlExpression

All Implemented Interfaces:
  Expression

    public class JexlExpression

extends ExpressionSupport

Represents a Jexl expression which fully supports the Expression Language in JSTL and JSP along with some extra features like object method invocation.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.expression.ExpressionSupport
`EMPTY_ITERATOR`

Constructor Summary
`JexlExpression(org.apache.commons.jexl.Expression expression)`

Method Summary
`java.lang.Object` | `evaluate(JellyContext context)` Evaluates the expression with the given context and returns the result
`java.lang.String` | `getExpressionText()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.commons.jelly.expression.ExpressionSupport
`evaluateAsBoolean, evaluateAsIterator, evaluateAsString, evaluateRecurse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JexlExpression

    public JexlExpression(org.apache.commons.jexl.Expression expression)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getExpressionText

    public java.lang.String getExpressionText()

  Returns:
    the textual representation of this expression

### evaluate

    public java.lang.Object evaluate(JellyContext context)

  Description copied from interface: `Expression`
  Evaluates the expression with the given context and returns the result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.